package com.cool.bang.modules.mysql.domain;

import java.math.BigDecimal;

public class FundInfo {

    /**
     * 通知书编号
     */
    private String businessNumber;
    /**
     * 合同主键
     */
    private Long contractId;

    /**
     * 合同编号
     */
    private String contractNumber;
    /**
     * 交存款项 1首期款（含一次性付款）2分期后期款 3商业贷款 4公积金贷款
     */
    private Integer paymentType;

    /**
     * 应交存金额
     */
    private BigDecimal payableAmount;

    /**
     * 已交存金额
     */
    private BigDecimal paidAmount;

    /**
     * 待交存金额
     */
    private BigDecimal unpaidAmount;
    /**
     * 账户类型 1托管账户 2监管账户
     */
    private Integer accountType;
    /**
     * 交存状态 0未交存 1未足额 2已交存
     */
    private Integer paymentStatus;


    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getContractId() {
        return contractId;
    }

    public void setContractId(Long contractId) {
        this.contractId = contractId;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public Integer getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(Integer paymentType) {
        this.paymentType = paymentType;
    }

    public BigDecimal getPayableAmount() {
        return payableAmount;
    }

    public void setPayableAmount(BigDecimal payableAmount) {
        this.payableAmount = payableAmount;
    }

    public BigDecimal getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(BigDecimal paidAmount) {
        this.paidAmount = paidAmount;
    }

    public BigDecimal getUnpaidAmount() {
        return unpaidAmount;
    }

    public void setUnpaidAmount(BigDecimal unpaidAmount) {
        this.unpaidAmount = unpaidAmount;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public void setAccountType(Integer accountType) {
        this.accountType = accountType;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }
}
