package com.cool.bang.modules.mysql.service;

import com.cool.bang.modules.mysql.mapper.*;
import com.cool.bang.modules.oracle.mapper.ApplyMapper;
import com.cool.bang.modules.oracle.mapper.OracleMapper;
import org.springframework.beans.factory.annotation.Autowired;

import javax.annotation.Resource;

/**
 * 基础类
 *
 * @author PeiZhi Guo
 * 2023-3-7 11:29
 */
public abstract class BaseService {

    @Resource
    protected OracleMapper oracleMapper;

    @Resource
    protected MySqlMapper mySqlMapper;

    @Resource
    protected FlowMapper flowMapper;

    @Resource
    protected OrgMapper orgMapper;

    @Resource
    protected ProjectMapper projectMapper;

    @Resource
    protected ProjectAccountMapper projectAccountMapper;

    @Resource
    protected BuildingAccountMapper buildingAccountMapper;

    @Resource
    protected AccountMapper accountMapper;

    @Resource
    protected ContractMapper contractMapper;

    @Resource
    protected ApplyMapper applyMapper;

}
